Bug 499663 - Includes/Provides directory it MUST NOT
Summary: Includes/Provides directory it MUST NOT
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anthy
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-07 15:17 UTC by Michael Schwendt
Modified: 2009-05-12 04:10 UTC (History)
2 users (show)

Fixed In Version: 9100h-4.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-11 06:57:21 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2009-05-07 15:17:53 UTC
$ rpmls -p anthy-devel-9100h-2.fc11.i586.rpm|grep pkg|grep ^d
drwxr-xr-x  /usr/lib/pkgconfig

Your package must not include this directory, because this directory belongs
into the pkgconfig package(s). This hides broken dependencies in other
packages, which expect to pull in pkgconfig by depending on
%{_libdir}/pkgconfig.

Note: I haven't checked whether the ownership of directories other than
%_libdir/pkgconfig is correct.

Comment 1 Akira TAGOH 2009-05-11 06:57:21 UTC
Fixed in 9100h-4.fc12.

Comment 2 Fedora Update System 2009-05-11 10:58:09 UTC
anthy-9100h-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/anthy-9100h-4.fc11

Comment 3 Fedora Update System 2009-05-11 10:59:23 UTC
anthy-9100h-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/anthy-9100h-4.fc9

Comment 4 Fedora Update System 2009-05-11 11:00:43 UTC
anthy-9100h-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/anthy-9100h-4.fc10

Comment 5 Fedora Update System 2009-05-12 04:01:25 UTC
anthy-9100h-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-05-12 04:03:01 UTC
anthy-9100h-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-05-12 04:10:21 UTC
anthy-9100h-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.